# include <QtGui>

# include "myMainWindow.h"
# include "myDialog.h"

myMainWindow::myMainWindow(QWidget *parent): QMainWindow(parent)
{
	setupUi(this);

	findDialog = 0;

	connect(actionName, SIGNAL(triggered()), this, SLOT(openFindDialog()));
	connect(actionClose, SIGNAL(triggered()), this, SLOT(close()));

}

void myMainWindow::openFindDialog()
{
	if(!findDialog)
		{
		findDialog = new myDialog(this);
		connect(findDialog, SIGNAL(retName(const QString &)), this, SLOT(markiereName(const QString &)));
		}
	findDialog->show();
	findDialog->raise();
	findDialog->activateWindow();
}

void myMainWindow::markiereName(const QString &text)
{
	tableWidget->clearSelection();

	for(int row=0;row<tableWidget->rowCount();row++)
	    {
	    for(int column=0;column<tableWidget->columnCount();column++)
		{
		if(tableWidget->item(row,column)!=0)
		    {
		    QString inhalt = tableWidget->item(row,column)->text();
		    int vergleich = QString::compare(inhalt, text, Qt::CaseInsensitive);
		    if(vergleich==0)
			{
			tableWidget->setCurrentCell(row,column);
//			tableWidget->item(row,column)->setSelected(true);
			return;
			}
		    }
		}
	    }

}


